Bug 1276514 - [abrt] evolution-data-server: invalid_closure_notify(): evolution-calendar-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: invalid_closure_notify(): evolution-calendar-fa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:952fbcaac3238c81ddcfaf9fe19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 18:32 EDT by lennart_reuther
Modified: 2016-12-20 10:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.29 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: core_backtrace (52.29 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: dso_list (19.05 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: environ (849 bytes, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: exploitable (100 bytes, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: maps (87.90 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: open_fds (790 bytes, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-29 18:32 EDT, lennart_reuther
no flags Details

  None (edit)
Description lennart_reuther 2015-10-29 18:32:24 EDT
Version-Release number of selected component:
evolution-data-server-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory caldav --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx1972x2 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/1972/2
crash_function: invalid_closure_notify
executable:     /usr/libexec/evolution-calendar-factory-subprocess
global_pid:     2057
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 invalid_closure_notify at gsignal.c:3799
 #1 closure_invoke_notifiers at gclosure.c:274
 #2 g_closure_invalidate at gclosure.c:580
 #3 e_soup_ssl_trust_message_finalized_cb at e-soup-ssl-trust.c:118
 #4 weak_refs_notify at gobject.c:2634
 #6 caldav_server_open_calendar at e-cal-backend-caldav.c:1233
 #7 open_calendar_wrapper at e-cal-backend-caldav.c:3015
 #8 caldav_authenticate_sync at e-cal-backend-caldav.c:5462
 #9 e_backend_authenticate_sync at e-backend.c:246
 #10 backend_source_authenticate_thread at e-backend.c:307
Comment 1 lennart_reuther 2015-10-29 18:32:30 EDT
Created attachment 1087771 [details]
File: backtrace
Comment 2 lennart_reuther 2015-10-29 18:32:31 EDT
Created attachment 1087772 [details]
File: cgroup
Comment 3 lennart_reuther 2015-10-29 18:32:34 EDT
Created attachment 1087773 [details]
File: core_backtrace
Comment 4 lennart_reuther 2015-10-29 18:32:35 EDT
Created attachment 1087774 [details]
File: dso_list
Comment 5 lennart_reuther 2015-10-29 18:32:37 EDT
Created attachment 1087775 [details]
File: environ
Comment 6 lennart_reuther 2015-10-29 18:32:38 EDT
Created attachment 1087776 [details]
File: exploitable
Comment 7 lennart_reuther 2015-10-29 18:32:40 EDT
Created attachment 1087777 [details]
File: limits
Comment 8 lennart_reuther 2015-10-29 18:32:43 EDT
Created attachment 1087778 [details]
File: maps
Comment 9 lennart_reuther 2015-10-29 18:32:45 EDT
Created attachment 1087779 [details]
File: mountinfo
Comment 10 lennart_reuther 2015-10-29 18:32:46 EDT
Created attachment 1087780 [details]
File: open_fds
Comment 11 lennart_reuther 2015-10-29 18:32:47 EDT
Created attachment 1087781 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-10-30 03:02:05 EDT
Thanks for a bug report. I see from the backtrace that one of your CalDAV calendars had been finishing its open, when the free of one structure caused a crash. It can mean some use-after-free of a memory, like  something being freed twice, or some other part of the code wrote to a place where it shouldn't. I cannot tell from the backtrace whether it's the cause or not. More important is whether it's reproducible, which is not trivial in these cases.

My main questions are:
Do you know what was happening before the crashed?
Are you able to reproduce the crash with certain steps?
Comment 13 lennart_reuther 2015-11-09 08:18:04 EST
Hi Milan, 

best regards from Ireland. I can't really tell you, how the error was produced - too much stuff around evolution making trouble at the moment for me. :-/

Sorry, hopefully it still helps you guys to keep up the good work you do at red hat.
Lennart
Comment 14 Milan Crha 2015-11-09 08:36:04 EST
No problem. As I wrote above, these kind of crashes are pretty hard to debug and fix.

(In reply to lennart_reuther from comment #13)
> too much stuff around evolution making trouble at the moment for me. :-/

Are there other parts of the evolution causing trouble for you? They can be related to this crash, but they also won't be. Feel free to file bug reports, preferably in GNOME's bugzilla [1], but if you prefer you can also here, in Red Hat's bugzilla.

[1] https://bugzilla.gnome.org/enter_bug.cgi?product=evolution
Comment 15 Fedora End Of Life 2016-11-24 07:59:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:15:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.